-- | Prelude.Classy, plus some mathematical/floating-point functions
module Prelude.Math(
  module Prelude.Classy,
  -- * Mathematical functions
  gcd, lcm,
  -- * Fixed/floating-point math
  module Data.Ratio,
  Float, Double, Fractional(..), Floating(..), RealFrac(..), RealFloat(..),
  (^^), realToFrac
  ) where

import Prelude(Fractional(..), Floating(..), RealFrac(..), RealFloat(..), (^^),
               Float, Double, gcd, lcm, realToFrac)
import Prelude.Classy
import Data.Ratio
